Passa al contenuto principale

CloudStorageAccessResponse

Successful response with one CloudStorageAccess

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data objectrequired

NFS access to a cloud storage: an IPv4 address allowed to mount the storage of a user

access_idstring | nullnullablerequired

Id of the access, used in its path: the IPv4 address in hostname

cloud_storage_idintegerrequired

Id of the cloud storage (GET /api/v3/cloud-storages/{cloud_storage_id})

hostnamestring | nullnullablerequired

IPv4 address allowed to mount the storage via NFS

usernamestring | nullnullablerequired

Username of the cloud storage user whose storage the address can mount (GET /api/v3/cloud-storages/{cloud_storage_id}/users)

metarequired

Always null: only the paginated lists have a meta

Constant value: null
CloudStorageAccessResponse
{
"error": 0,
"message": "string",
"data": {
"access_id": "string",
"cloud_storage_id": 0,
"hostname": "string",
"username": "string"
}
}